Subject: [USR-TC] Multiple ARC's

From: Joel - Fox Computers <[email-masked]>
Date: Mon, 19 Aug 2002 02:36:24 +0000

Having a small problem - wondering if anyone has any suggestions.  What I want to do is change out my ARC without disconnecting users.  The main purpose is to upgrade the code on my live ARC; however, once it's upgraded, I thought I might leave both ARC's in the chassis just for the sake of having more blinking lights (Sorry, I just like blinkin' lights).  Here's how my chassis is config'd:
 
Slot 1: Hiper DSP
Slot 3: Hiper DSP
Slot 15 (front): Hiper ARC 
Slot 15 & 16 (rear): Hiper ARC NIC
 
The Hiper ARC in slot 15 is configured as follows:
 
NMC SETTINGS
Chassis Awareness:        ENABLED
Dynamic Slot Assignment:  DISABLED
DSA Idle Rebalancing:     ENABLED
SNMP Forwarding:          ENABLED     
 
My plan is to get a new ARC in slot 16 and get the one in slot 15 out, or at least offline so that it can be upgraded.  Here's what I tried to do (that didn't work):
 
On the new card, using a backup/offline chassis, I configured it as "slot 1-16 owner no", and disabled nmc chassis awareness.  Also disabled chassis awareness on the "live" ARC in the online chassis.  I thought I could put the new ARC in slot 16, then "soft busy out" the DSP in slot 3.  Once there were no more open sessions on Slot 3, then I would give the old ARC a "set chassis slot 3 owner no" and the new ARC "set chassis slot 3 owner yes".  Then, in a perfect world, restoring the DSP in slot 3 and busying-out slot 1, new connections would go to slot 3 and the new ARC.  Then doing the same again once there were no new connections on the slot 1 DSP.
 
Didn't happen - when I do this, after changing the ownership on the ARC's, the slot 3 DSP won't take calls.  I'm sure it's because the new ARC in slot 16 doesn't recognize the DSP in slot 3.  A "List chassis" shows all the slots as "--EMPTY--".
 
Is there a better way to do this, or do I have to specifically tell the ARC in slot 16 what type of cards are in the DSP slots?  Ideas?  Recommendations?
 
Thanks,
 
Joel